Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 24 Mar 2023 16:29:41 +0000 (UTC)

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Yesterday, on the 11th of February, I purchased a few items from your Sharjah City Centre branch. At the checkout, I showed them my ISIC card and they told me that my ISIC didn't work and the same had happened to a few other customers. This is not the first time MAX declines to use ISIC card but has also happened quite a few times. At the same time, I have been using my ISIC effortlessly in all other stores EXCEPT MAX. I know for a fact that it's not a problem with my ISIC card as it works everywhere else. So do not do false advertising that ISIC Card works at MAX stores as they clearly don't. I would like to have some action taken against this and my lost opportunity to use my ISIC card. Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5699050